Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4842/?format=api
{ "ob_id": 4842, "uuid": "f0f395dbb5b68da3b9e235bdf2bc97b5", "title": "Convective Storm Initiation Project (CSIP): Webcam at Linkenholt, UK from the University of Manchester", "abstract": "The dataset contains images of the UFAM (Universites' Facility for Atmospheric Measurements) 1290MHz wind-profiler site at Linkenholt, Hampshire from the 11th June 2005 to the 31st of August 2005.\r\n\r\nNOTE: From 11/06/2005 to 16/06/2005 the timestamp in the picture is GMT from 18/07/2005 to 31/08/2005 the timestamp is BST.\r\n\r\nThe camera was facing South in a trailer next to the UFAM 1290MHz wind profiler.\r\n\r\nThe camera was a Logitech QuickCam Pro 4000 webcam.\r\n\r\nIts data availability was patchy at first, but it provided continuous imagery during July and August at 30 s sampling.", "keywords": " CSIP, UFAM", "publicationState": "published", "dataPublishedTime": "2006-08-17T13:55:24", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4843/?format=api", "dataPath": "/badc/csip/data/man-webcam", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 4138109628, "numberOfFiles": 85367, "fileFormat": "Images are jpg formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1397/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/97/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected by the collected by the instrument scientist before preparation and delivery to the Convective Storm Initiation Project (CSIP) participants and then to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3236/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4614/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21974/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21973/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21975/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21976/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21977/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21979/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44384/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/44381/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54606/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4844/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }